Subject: OpenSSL 0.9.8 compile error!

From: Ricardo Fialho Tafas Junior <[email-masked]>
Date: Fri, 16 Sep 2005 08:18:41 -0300

Hello list,

I'm trying to crosscompile openSSL to PPC8xx. I've downloaded the latest 
version and when I call "make" I get the following error:

ppc_8xx-gcc -I.. -I../.. -I../../include -DOPENSSL_THREADS -D_REENTRANT 
-DDSO_DLFCN -DHAVE_DLFCN_H -DB_ENDIAN -DTERMIO -O3 -Wall -c  -o 
linux_ppc32.o linux_ppc32.s
linux_ppc32.s: Assembler messages:
linux_ppc32.s:109: Error: Unknown pseudo-op:  `.machine'
make[3]: *** [linux_ppc32.o] Error 1
make[3]: Leaving directory `/home/rtafas/voip_devel/openssl-0.9.8/crypto/bn'
make[2]: *** [subdirs] Error 1
make[2]: Leaving directory `/home/rtafas/voip_devel/openssl-0.9.8/crypto'
make[1]: *** [build_crypto] Error 1
make[1]: Leaving directory `/home/rtafas/voip_devel/openssl-0.9.8'
make: *** [top] Error 2

Before that:
I make a "./Configure linux-ppc" and edited the makefile to cross 
compile it and to force it to use ppc-8xx_gcc and ppc_8xx-ar.

Any idea to solve this?
Any "how to" to compile Openssl in embedded enviroment?

Thanks,

-- 
Ricard Fialho Tafas Jr
  R&D Engineer
  Parks S.A. Comunicações Digitais
  www.parks.com.br
  +55 51 4700523
  e-mail: [email-masked]